Package org.optaplanner.core.impl.score.stream.bavet.uni

## Class BavetGroupBridgeUniNode<A,​NewA,​ResultContainer_,​NewB>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode
  - - org.optaplanner.core.impl.score.stream.bavet.uni.BavetAbstractUniNode<A>
    - - org.optaplanner.core.impl.score.stream.bavet.uni.BavetGroupBridgeUniNode<A,​NewA,​ResultContainer_,​NewB>

- All Implemented Interfaces:
    `BavetNode`

      public final class BavetGroupBridgeUniNode<A,​NewA,​ResultContainer_,​NewB>
      extends BavetAbstractUniNode<A>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `nodeIndex, session`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetGroupBridgeUniNode​(BavetConstraintSession session, int nodeIndex, BavetAbstractUniNode<A> parentNode, Function<A,​NewA> groupKeyMapping, UniConstraintCollector<A,​ResultContainer_,​NewB> collector)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BavetGroupBridgeUniTuple<A,​NewA,​ResultContainer_,​NewB>` | `createTuple​(BavetAbstractUniTuple<A> parentTuple)` |
    `List<BavetAbstractUniNode<A>>` | `getChildNodeList()` |
    `void` | `refresh​(BavetAbstractTuple uncastTuple)` |
    `void` | `setGroupNode​(BavetGroupBiNode<NewA,​ResultContainer_,​NewB> groupNode)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.uni.BavetAbstractUniNode

      `addChildNode`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `getNodeIndex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BavetGroupBridgeUniNode

          public BavetGroupBridgeUniNode​(BavetConstraintSession session,
                                         int nodeIndex,
                                         BavetAbstractUniNode<A> parentNode,
                                         Function<A,​NewA> groupKeyMapping,
                                         UniConstraintCollector<A,​ResultContainer_,​NewB> collector)

  - ### Method Detail

    - #### getChildNodeList

          public List<BavetAbstractUniNode<A>> getChildNodeList()

      Overrides:
        `getChildNodeList` in class `BavetAbstractUniNode<A>`

    - #### createTuple

          public BavetGroupBridgeUniTuple<A,​NewA,​ResultContainer_,​NewB> createTuple​(BavetAbstractUniTuple<A> parentTuple)

      Specified by:
        `createTuple` in class `BavetAbstractUniNode<A>`

    - #### setGroupNode

          public void setGroupNode​(BavetGroupBiNode<NewA,​ResultContainer_,​NewB> groupNode)

    - #### refresh

          public void refresh​(BavetAbstractTuple uncastTuple)

      Specified by:
        `refresh` in class `BavetAbstractNode`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`